CompilerEnvirons (Rhino)
Keywords: org.mozilla.javascript.CompilerEnvirons class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class CompilerEnvirons

    java.lang.Object
      org.mozilla.javascript.CompilerEnvirons

public class CompilerEnvirons
extends java.lang.Object

Constructor Summary
`CompilerEnvirons()`

Method Summary
`ErrorReporter` | `getErrorReporter()`
`int` | `getLanguageVersion()`
`int` | `getOptimizationLevel()`
`void` | `initFromContext(Context cx)`
`boolean` | `isAllowMemberExprAsFunctionName()`
`boolean` | `isGenerateDebugInfo()`
`boolean` | `isGeneratingSource()`
`boolean` | `isReservedKeywordAsIdentifier()`
`boolean` | `isUseDynamicScope()`
`boolean` | `isXmlAvailable()`
`void` | `setAllowMemberExprAsFunctionName(boolean flag)`
`void` | `setErrorReporter(ErrorReporter errorReporter)`
`void` | `setGenerateDebugInfo(boolean flag)`
`void` | `setGeneratingSource(boolean generatingSource)` Specify whether or not source information should be generated.
`void` | `setLanguageVersion(int languageVersion)`
`void` | `setOptimizationLevel(int level)`
`void` | `setReservedKeywordAsIdentifier(boolean flag)`
`void` | `setXmlAvailable(boolean flag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilerEnvirons

    public CompilerEnvirons()

Method Detail

### initFromContext

    public void initFromContext(Context cx)

### getErrorReporter

    public final ErrorReporter getErrorReporter()

### setErrorReporter

    public void setErrorReporter(ErrorReporter errorReporter)

### getLanguageVersion

    public final int getLanguageVersion()

### setLanguageVersion

    public void setLanguageVersion(int languageVersion)

### isGenerateDebugInfo

    public final boolean isGenerateDebugInfo()

### setGenerateDebugInfo

    public void setGenerateDebugInfo(boolean flag)

### isUseDynamicScope

    public final boolean isUseDynamicScope()

### isReservedKeywordAsIdentifier

    public final boolean isReservedKeywordAsIdentifier()

### setReservedKeywordAsIdentifier

    public void setReservedKeywordAsIdentifier(boolean flag)

### isAllowMemberExprAsFunctionName

    public final boolean isAllowMemberExprAsFunctionName()

### setAllowMemberExprAsFunctionName

    public void setAllowMemberExprAsFunctionName(boolean flag)

### isXmlAvailable

    public final boolean isXmlAvailable()

### setXmlAvailable

    public void setXmlAvailable(boolean flag)

### getOptimizationLevel

    public final int getOptimizationLevel()

### setOptimizationLevel

    public void setOptimizationLevel(int level)

### isGeneratingSource

    public final boolean isGeneratingSource()

### setGeneratingSource

    public void setGeneratingSource(boolean generatingSource)

  Specify whether or not source information should be generated.

  Without source information, evaluating the "toString" method on JavaScript functions produces only "[native code]" for the body of the function. Note that code generated without source is not fully ECMA conformant.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD